# Kubo changelog v0.25

- [v0.25.0](#v0250)

## v0.25.0

- [Overview](#overview)
- [🔦 Highlights](#-highlights)
  - [WebUI: Updated Peers View](#webui-updated-peers-view)
  - [RPC `API.Authorizations`](#rpc-apiauthorizations)
  - [MPLEX Removal](#mplex-removal)
  - [Graphsync Experiment Removal](#graphsync-experiment-removal)
  - [Commands `ipfs key sign` and `ipfs key verify`](#commands-ipfs-key-sign-and-ipfs-key-verify)
- [📝 Changelog](#-changelog)
- [👨‍👩‍👧‍👦 Contributors](#-contributors)

### Overview

### 🔦 Highlights

#### WebUI: Updated Peers View

WebUI [v4.2.0](https://github.com/ipfs/ipfs-webui/releases/tag/v4.2.0) shipped
with updated [ipfs-geoip](https://www.npmjs.com/package/ipfs-geoip) dataset
and [ability to filter the peers table](https://github.com/ipfs/ipfs-webui/pull/2181).

#### RPC `API.Authorizations`

Kubo RPC API now supports optional HTTP Authorization.

Granular control over user access to the RPC can be defined in the
[`API.Authorizations`](https://github.com/ipfs/kubo/blob/master/docs/config.md#apiauthorizations)
map in the configuration file, allowing different users or apps to have unique
access secrets and allowed paths.

This feature is opt-in. By default, no authorization is set up.
For configuration instructions,
refer to the [documentation](https://github.com/ipfs/kubo/blob/master/docs/config.md#apiauthorizations).

#### MPLEX Removal

After deprecating and removing mplex support by default in [v0.23.0](https://github.com/ipfs/kubo/blob/master/docs/changelogs/v0.23.md#mplex-deprecation).

We now fully removed it. If you still need mplex support to talk with other pieces of software,
please try updating them, and if they don't support yamux or QUIC [talk to us about it](https://github.com/ipfs/kubo/issues/new/choose).

Mplex is unreliable by design, it will drop data and generete errors when sending data *too fast*,
yamux and QUIC support backpressure, that means if we send data faster than the remote machine can process it, we slows down to match the remote's speed.

#### Graphsync Experiment Removal

Currently the Graphsync server is to our knowledge not used
due to lack of compatible software.
And we are left to have to maintain the go-graphsync implementation when trying
to update Kubo because some dependency changed and it fails to build anymore.

For more information see https://github.com/ipfs/kubo/pull/9747.

##### Commands `ipfs key sign` and `ipfs key verify`

This allows the Kubo node to sign arbitrary bytes to prove ownership of a PeerID or an IPNS Name. To avoid signature reuse, the signed payload is always prefixed with `libp2p-key signed message:`.

These commands are also both available through the RPC client and implemented in `client/rpc`.

For more information see https://github.com/ipfs/kubo/issues/10230.

### 📝 Changelog

### 👨‍👩‍👧‍👦 Contributors
